local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.EventMounts(container)



-- Shadowlands Tab
local function DrawGroup1(container)
 
core.BrewfestEventMounts(container)

end

-- BFA Tab
local function DrawGroup2(container)

core.DarkmoonEventMounts(container)

end

-- Legion Tab
local function DrawGroup3(container)

core.TimewalkingEventMounts(container)

end

-- Wod Tab
local function DrawGroup4(container)

core.WinterVeilEventMounts(container)

end

-- Mop Tab
local function DrawGroup5(container)

core.HallowEventMounts(container)

end


-- Cata Tab
local function DrawGroup6(container)

core.LoveIsInTheAirEventMounts(container)

end

-- Wotlk Tab
local function DrawGroup7(container)

core.NoblegardenEventMounts(container)

end





local function SelectGroup(container, event, group)
   container:ReleaseChildren()
   if group == "tab1" then
      DrawGroup1(container)
   elseif group == "tab2" then
      DrawGroup2(container)
   
      elseif group == "tab3" then
      DrawGroup3(container)
   
      elseif group == "tab4" then
      DrawGroup4(container)
   
      elseif group == "tab5" then
      DrawGroup5(container)
      elseif group == "tab6" then
      DrawGroup6(container)
      elseif group == "tab7" then
      DrawGroup7(container)

   
   end
end


local frame = AceGUI:Create("Frame")
frame:SetTitle("Event Mounts")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetCallback("OnClose", function(widget) AceGUI:Release(widget) end)


frame:SetLayout("Fill")






local tab =  AceGUI:Create("TabGroup")
tab:SetLayout("Flow")
tab:SetTabs({{text="Brewfest", value="tab1"}, {text="Darkmoon Faire", value="tab2"}, {text="Timewalking", value="tab3"}, {text="Feast of Winter Veil", value="tab4"}, {text="Hallow's End", value="tab5"}, {text="Love is in the Air", value="tab6"}, {text="Noblegarden", value="tab7"}})
tab:SetCallback("OnGroupSelected", SelectGroup)
tab:SelectTab("tab1")

frame:AddChild(tab)











end